Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83194 - konsolekalendar crash in KCmdLineArgs::parseAllArgs
Summary: konsolekalendar crash in KCmdLineArgs::parseAllArgs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kdepim
Version: phoebe
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-31 04:14 UTC by Aleksey Nogin
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-01 09:35:02 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 2003-01-31 04:14:09 UTC
Phoebe 8.0.93 + up2date - starting konsolekalendar (any arguments, any
environment - none of that seems to matter) causes it to crash right away. Gdb
shows:

(gdb) bt
#0  0x406b2230 in KCmdLineArgs::parseAllArgs() () from /usr/lib/libkdecore.so.4
#1  0x406b1717 in KCmdLineArgs::parsedArgs(char const*) ()
   from /usr/lib/libkdecore.so.4
#2  0x0804badf in QPtrList<KCal::Event>::deleteItem(void*) ()
#3  0x420154a0 in __libc_start_main () from /lib/tls/libc.so.6

kdelibs-3.1-0.12
kdebase-3.1-0.14
kdepim-3.1-0.2

Comment 1 Ngo Than 2003-02-01 09:35:02 UTC
it's fixed in 3.1-2


Note You need to log in before you can comment on or make changes to this bug.